import { renderless, api } from "@dftvue2-opentiny/vue-renderless/hrapprover/vue";
import { defineComponent, props, setup as _setup } from "@dftvue2-opentiny/vue-common";
import Dept from "@dftvue2-opentiny/vue-dept";
import Loading from "@dftvue2-opentiny/vue-loading";
import { message } from "@dftvue2-opentiny/vue-modal";
import Radio from "@dftvue2-opentiny/vue-radio";
import { t } from "@dftvue2-opentiny/vue-locale";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  inheritAttrs: false,
  props: [].concat(props, ["modelValue", "disabled", "approvalPerson", "category", "fetchDeptList", "fetchHrapprover", "fetchDeptByValue", "fetchDept", "title"]),
  components: {
    Dept,
    Radio
  },
  directives: {
    loading: Loading.directive
  },
  provide: function provide() {
    return {
      hrapprover: this
    };
  },
  setup: function setup(props2, context) {
    return Object.assign(_setup({
      props: props2,
      context,
      renderless,
      api
    }), {
      showModal: function showModal() {
        message({
          message: t("ui.hrapprover.noselected"),
          status: "error"
        });
      }
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("dept", {
    ref: "dept",
    staticClass: "tiny-hrapprover",
    attrs: {
      "fetch-dept-list": _vm.fetchDeptList,
      "fetch-dept-by-value": _vm.fetchDeptByValue,
      "fetch-dept": _vm.fetchDept,
      "disabled": _vm.disabled,
      "title": _vm.title
    },
    on: {
      "close": _vm.resetPerson,
      "confirm": _vm.hrChange,
      "selected": _vm.selectedDept,
      "cancel": _vm.cancel
    },
    scopedSlots: _vm._u([{
      key: "hrapprover",
      fn: function fn() {
        return [_c("div", {
          directives: [{
            name: "loading",
            rawName: "v-loading",
            value: _vm.state.loading,
            expression: "state.loading"
          }],
          staticClass: "tiny-hrapprover__list"
        }, [_vm.state.hrList.length ? _c("table", {
          attrs: {
            "width": "100%"
          }
        }, [_c("thead", [_c("tr", [_c("th", {
          attrs: {
            "width": "50px"
          }
        }), _c("th", [_vm._v(_vm._s(_vm.t("ui.hrapprover.approver")))]), _c("th", [_vm._v(_vm._s(_vm.t("ui.hrapprover.remark")))])])]), _c("tbody", _vm._l(_vm.state.hrList, function(hr, index) {
          return _c("tr", {
            key: index
          }, [_c("td", {
            staticStyle: {
              "text-align": "center"
            }
          }, [_c("radio", {
            attrs: {
              "label": hr.approval_person
            },
            model: {
              value: _vm.state.approvalPerson,
              callback: function callback($$v) {
                _vm.$set(_vm.state, "approvalPerson", $$v);
              },
              expression: "state.approvalPerson"
            }
          }, [_vm._v(" ")])], 1), _c("td", [_vm._v(_vm._s(hr.approval_person))]), _c("td", [_vm._v(_vm._s(hr.remarks))])]);
        }), 0)]) : _c("div", [_c("div", {
          staticClass: "tiny-hrapprover__error"
        }, [_vm._v(" " + _vm._s(_vm.t("ui.hrapprover.noapprover")) + " ")])])])];
      },
      proxy: true
    }]),
    model: {
      value: _vm.state.dept,
      callback: function callback($$v) {
        _vm.$set(_vm.state, "dept", $$v);
      },
      expression: "state.dept"
    }
  });
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  pc as default
};
